Subject: bug#74496: 30.0.91; fullscreen frame set with F11 is shifted when ctwm restarts

From: Van Ly <[email-masked]>
Date: Mon, 09 Dec 2024 07:35:14 +0000

martin rudalics <[email-masked]> writes:

> Run Emacs as above, but zoom the Emacs window vertically verifying that
> breakpoints are hit twice - type c to continue in each case - and then

Having applied the patch lucid-2.diff, I find gdb is unable to continue
at the first 'c' upon windowframe fullheight toggle.

   1  (gdb) b xterm.c:17505
   2  Breakpoint 1 at 0x4cf672: file /u/xxx/src/emacs/29.4/src/xterm.c, line 17505.
   3  (gdb) b xterm.c:27251
   4  Breakpoint 2 at 0x4cf533: file /u/xxx/src/emacs/29.4/src/xterm.c, line 27251.
   5  (gdb) b xterm.c:27327
   6  Breakpoint 3 at 0x4e5216: file /u/xxx/src/emacs/29.4/src/xterm.c, line 27327.
   7  (gdb) info b
   8  Num     Type           Disp Enb Address            What
   9  1       breakpoint     keep y   0x00000000004cf672 in x_net_wm_state at /u/xxx/src/emacs/29.4/src/xterm.c:17505
  10  2       breakpoint     keep y   0x00000000004cf533 in x_handle_net_wm_state at /u/xxx/src/emacs/29.4/src/xterm.c:27251
  11  3       breakpoint     keep y   0x00000000004e5216 in x_check_fullscreen at /u/xxx/src/emacs/29.4/src/xterm.c:27327
  12  (gdb) run -Q
  13  Starting program: /u/xxx/src/emacs/build-29-0/src/emacs -Q
  14  [New LWP 24268 of process 28138]
  15  [New LWP 27847 of process 28138]
  16  [New LWP 26167 of process 28138]
  17  [New process 28138]
  18  [New process 28138]
  19  
  20  Thread 1 "" hit Breakpoint 1, x_net_wm_state (f=f@entry=0x74cbbd8d4c10, window=<optimized out>) at /u/xxx/src/emacs/29.4/src/xterm.c:17505
  21  17505	    store_frame_param (f, Qfullscreen, lval); // break here
  22  (gdb) c
  23  Continuing.
  24  [New process 28138]
  25  /usr/src/external/gpl3/gdb/lib/libgdb/../../dist/gdb/infrun.c:5683: internal-error: int finish_step_over(execution_control_state*): Assertion `ecs->event_thread->control.trap_expected' failed.
  26  A problem internal to GDB has been detected,
  27  further debugging may prove unreliable.
  28  Quit this debugging session? (y or n) n
  29  Please answer y or n.
  30  /usr/src/external/gpl3/gdb/lib/libgdb/../../dist/gdb/infrun.c:5683: internal-error: int finish_step_over(execution_control_state*): Assertion `ecs->event_thread->control.trap_expected' failed.
  31  A problem internal to GDB has been detected,
  32  further debugging may prove unreliable.
  33  Quit this debugging session? (y or n)

>  > I'm not able to use the gtk-3 build as it causes the tty/emacsclient session
>  > to lockup.  The bug is documented.
>
> It would suffice to start it once only.  Here the scroll bars are
> botched.

Should I build the gtk-3 variant to check the scroll bars are broken?

-- 
vl